# We Are A Million Hackathon


Welcome to the [We Are Millions](https://www.wearemillions.online/) hackathon where you can collaborate and hack to re-claim your data, identity and privacy.

## About Fluence

Fluence provides the infrastructure and tools to enable decentralized compute for applications and backends on peer-to-peer networks. Nodes in Fluence's open, permissionless peer-to-peer network host discoverable and reusable services comprised of WebAssembly Interface Types (IT) modules. Aqua, Fluence's purpose-built distributed systems programming language, allows developers and creators to seamlessly program distributed networks and compose hosted services into decentralized p2p applications. As a result, the Fluence protocol and stack allows you to quickly and effectively create and implement Web3 protocols and associated governance models to reclaim your data, identity and privacy. 


## Challenges And Prices

### Enable Off-ChainData Exchange -- USDC 1,250.00, 750.00, 500.00

Use Fluence and Aqua to create an asynchronous, decentralized mailbox independent of a particular messaging or storage protocol. That is, focus on the privacy and availability of the "message store" rather than the underlying messaging and storage protocols. Extra considerations are given for a plug-and-play design of your async, decentralized mailbox over messaging and storage.


### Decentralize Your DApp Bounty -- USDC 1,500.00

Already working on a DApp but looking to decentralize chokepoints undermining your DApps censorship resistance or ostensibly leaking private data ? This is the track for you to decentralize with Fluence and Aqua.


## Submission Requirements

* Generously document your submission
* Provide a max three (3) to five (5) minute video for present and demonstrate your solution
* Submit via a Github or GitLab repo with MIT or Apache 2.0 license

Judging is based on originality, functionality and completeness of the submission. In the case of multiple prizes for a given challenge, the order of submissions determines payout rank for complete and functional projects.

## Resources

Fluence has a variety of components and building blocks available to accelerate your project build.

### General

* [Fluence Documentation](https://doc.fluence.dev/docs/)
* [Aqua Book](https://doc.fluence.dev/aqua-book/)
* [Fluence Quickstart](https://github.com/fluencelabs/examples/tree/main/quickstart)
* [Fluence Adn Comunity Examples](https://github.com/fluencelabs/examples)
* [Discord](https://fluence.chat)
* [Fluence Youtube](https://www.youtube.com/channel/UC3b5eFyKRFlEMwSJ1BTjpbw)
* [Book A Meeting With The Team](https://calendly.com/fluencehack/)
